Subject: bug#59838: 30.0.50; [PATCH] Save history in GDB session

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Dec 2022 19:19:00 +0200

> From: Manuel Giraud <[email-masked]>
> Date: Mon, 05 Dec 2022 17:53:06 +0100
> 
> I'm not really an expert in gdb (and comint-mode) but it seems that 'M-x
> gdb' does not save its history.  Here is a patch that fix this.

GDB has its own history feature, activated by the GDB command "set history
save on".  If the GDB history file is detected when "M-x gdb" starts, it
will read the history and fill comint-input-ring with what it finds there.
See the function 'gdb' in gdb-mi.el.

So I think this is already covered, or what did I miss?

Thanks.